Submit Event Finding
Allows hackers to submit findings. If successful, returns the ID of the created finding.
Authorization
http Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.
In: header
Path Parameters
The slug of the event for which the finding is being submitted
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.ethiack.com/v1/events/string/findings/" \ -H "Content-Type: application/json" \ -d '{ "asset": "string", "severity": "string", "cwe": 0, "cve": null, "score": null, "cvss_vector": null, "title": "string", "markdown": "string", "attachments": [ 0 ] }'{
"result": "string",
"finding_id": "string"
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}Start Retest POST
Start a retest for a specific finding to check if the finding is still valid or has been resolved. The retest will be performed asynchronously. The retest status can be checked using the **`GET /v1/events/{event_slug}/findings/{finding_id}/retest`** endpoint. > **Info**: Retesting is used to update the status of a finding, enabling the > user to check if the finding is still valid or has been resolved.
Upload Finding Attachment POST
Allows machine users to upload attachments for findings.